security

GDPR Cookie Consent Vulnerability

Today, 10th February it was announced that a GDPR Cookie Consent Vulnerability had been discovered and fix made available.

The GDPR Cookie Consent is a popular WordPress plugin that helps make websites compliant with the General Data Protection Regulation (GDPR).

What is the GDPR Cookie Consent Vulnerability?

It has been found the vulnerability stems from improper access controls in a GDPR Cookie Consent endpoint. If exploited, the vulnerability could enable attackers to modify content or inject malicious JavaScript code into victim websites.

How to resolve the GDPR Cookie Consent Vulnerability?

This is very simple, navigate to your plugin section in your WordPress Admin panel and update the plugin to the newest version – 1.8.3